alpha
Login
Join now
pierrelf.com
/
we
Star
Starred
Star
Something went wrong. Try again.
Fork
0
Eye filled
Watch
Watching
Watch
we (web engine): Experimental web browser project to understand the limits of Claude
Star
Starred
Star
Something went wrong. Try again.
Fork
0
Eye filled
Watch
Watching
Watch
Overview
Overview
Issues
Issues
11
Pulls
Pulls
108
Pipelines
Pipelines
we
/
crates
/
crypto
/
src
12 files
at
url-parser
Pierre Le Fevre
·
Implement X.509 certificate parsing and chain validation (RFC 5280)
·
6mo ago
622ec898
aes_gcm.rs
Implement AES-128-GCM and AES-256-GCM (NIST SP 800-38D)
7mo ago
asn1.rs
Implement ASN.1 DER parser for X.509 and PKCS#1 support
6mo ago
bigint.rs
Implement RSA PKCS#1 v1.5 signature verification (RFC 8017)
6mo ago
chacha20_poly1305.rs
Fix Poly1305 final reduction: include h4 in conditional select
7mo ago
ecdsa.rs
Implement ECDSA signature verification for P-256 and P-384 (FIPS 186-4)
6mo ago
hkdf.rs
Implement HKDF: HMAC-based key derivation function (RFC 5869)
7mo ago
hmac.rs
Implement HMAC: keyed-hash message authentication code (RFC 2104)
7mo ago
lib.rs
Implement X.509 certificate parsing and chain validation (RFC 5280)
6mo ago
rsa.rs
Implement RSA PKCS#1 v1.5 signature verification (RFC 8017)
6mo ago
sha2.rs
Implement SHA-2 hash functions: SHA-256, SHA-384, SHA-512
7mo ago
x25519.rs
Implement X25519 Diffie-Hellman key exchange (RFC 7748)
7mo ago
x509.rs
Implement X.509 certificate parsing and chain validation (RFC 5280)
6mo ago